## The Realtime Framework Pub/Sub messaging system
Part of the [The Realtime® Framework](http://framework.realtime.co), Realtime Cloud Messaging (aka ORTC) is a secure, fast and highly scalable cloud-hosted Pub/Sub real-time message broker for web and mobile apps.

If your website or mobile app has data that needs to be updated in the user’s interface as it changes (e.g. real-time stock quotes or ever changing social news feed) Realtime Cloud Messaging is the reliable, easy, unbelievably fast, “works everywhere” solution.


## The Appcelerator Titanium sample app (Mobile Web, iPhone and Android)
This sample app uses the Realtime® Framework Pub/Sub Appcelerator Titanium modules to connect, send and receive messages through a Realtime® Server in the cloud.

![ScreenShot](http://messaging-public.realtime.co/screenshots/2.1.0/titanium/screenshoot_titanium.png)

> NOTE: For simplicity these samples assume you're using a Realtime® Framework developers' application key with the authentication service disabled (every connection will have permission to publish and subscribe to any channel). For security guidelines please refer to the [Security Guide](http://messaging-public.realtime.co/documentation/starting-guide/security.html). 
> 
> **Don't forget to replace `YOUR_APPLICATION_KEY` and `YOUR_APPLICATION_PRIVATE_KEY` with your own application key. If you don't already own a free Realtime® Framework application key, [get one now](https://accounts.realtime.co/signup/).**


## Appcelerator Marketplace module download
You should download the Realtime® Framework Pub/Sub Appcelerator Titanium modules from the Appcelerator Marketplace using the following link:

[**Easy pub/sub messaging for Realtime® Framework**](https://marketplace.appcelerator.com/apps/5539?69017729)

>Appcelerator, Appcelerator Titanium and associated marks and logos are 
trademarks of Appcelerator, Inc.
 
>Titanium is Copyright (c) 2009-2010 by Appcelerator, Inc. All Rights Reserved.
>
>Titanium is licensed under the Apache Public License (Version 2). Please
see the LICENSE file for the full license.

## Documentation
The complete Realtime® Cloud Messaging reference documentation is available [here](http://framework.realtime.co/messaging/#documentation)